#ifndef KADU_KDE_TRANSPARENCY_H
#define KADU_KDE_TRANSPARENCY_H
#include <qobject.h>
#include <qstring.h>
#include <qmap.h>
#include <krootpixmap.h>

#include "misc.h"
#include "chat.h"

class KDETransparencySlots : public QObject
{
	Q_OBJECT

	public:
		KDETransparencySlots();
		~KDETransparencySlots();
	private:
		QMap<QString,KRootPixmap*> rootPixmaps;
		QMap<Chat *,KRootPixmap*> chatRootPixmaps;
	private slots:
		void onCreateConfigDialog();
		void onCloseConfigDialog();
		void chatCreated(const UinsList& senders);
		void chatDestroying(const UinsList& senders);
};

#endif
